curl --request POST \
--url https://catalogapi.rastro.ai/api/public/judge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
{}
],
"catalog_id": "<string>",
"schema": {},
"prompt": "<string>",
"model": "fast",
"max_rows": 200,
"images": {}
}
'import requests
url = "https://catalogapi.rastro.ai/api/public/judge"
payload = {
"rows": [{}],
"catalog_id": "<string>",
"schema": {},
"prompt": "<string>",
"model": "fast",
"max_rows": 200,
"images": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rows: [{}],
catalog_id: '<string>',
schema: {},
prompt: '<string>',
model: 'fast',
max_rows: 200,
images: {}
})
};
fetch('https://catalogapi.rastro.ai/api/public/judge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://catalogapi.rastro.ai/api/public/judge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rows' => [
[
]
],
'catalog_id' => '<string>',
'schema' => [
],
'prompt' => '<string>',
'model' => 'fast',
'max_rows' => 200,
'images' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://catalogapi.rastro.ai/api/public/judge"
payload := strings.NewReader("{\n \"rows\": [\n {}\n ],\n \"catalog_id\": \"<string>\",\n \"schema\": {},\n \"prompt\": \"<string>\",\n \"model\": \"fast\",\n \"max_rows\": 200,\n \"images\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://catalogapi.rastro.ai/api/public/judge")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rows\": [\n {}\n ],\n \"catalog_id\": \"<string>\",\n \"schema\": {},\n \"prompt\": \"<string>\",\n \"model\": \"fast\",\n \"max_rows\": 200,\n \"images\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://catalogapi.rastro.ai/api/public/judge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rows\": [\n {}\n ],\n \"catalog_id\": \"<string>\",\n \"schema\": {},\n \"prompt\": \"<string>\",\n \"model\": \"fast\",\n \"max_rows\": 200,\n \"images\": {}\n}"
response = http.request(request)
puts response.read_body{
"judgments": [
{}
],
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Judge Catalog Rows
Judge catalog rows against schema + quality criteria.
When catalog_id is provided, automatically loads the schema and the catalog’s
readiness_config quality_prompt. The optional prompt field appends extra instructions.
curl --request POST \
--url https://catalogapi.rastro.ai/api/public/judge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
{}
],
"catalog_id": "<string>",
"schema": {},
"prompt": "<string>",
"model": "fast",
"max_rows": 200,
"images": {}
}
'import requests
url = "https://catalogapi.rastro.ai/api/public/judge"
payload = {
"rows": [{}],
"catalog_id": "<string>",
"schema": {},
"prompt": "<string>",
"model": "fast",
"max_rows": 200,
"images": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rows: [{}],
catalog_id: '<string>',
schema: {},
prompt: '<string>',
model: 'fast',
max_rows: 200,
images: {}
})
};
fetch('https://catalogapi.rastro.ai/api/public/judge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://catalogapi.rastro.ai/api/public/judge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rows' => [
[
]
],
'catalog_id' => '<string>',
'schema' => [
],
'prompt' => '<string>',
'model' => 'fast',
'max_rows' => 200,
'images' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://catalogapi.rastro.ai/api/public/judge"
payload := strings.NewReader("{\n \"rows\": [\n {}\n ],\n \"catalog_id\": \"<string>\",\n \"schema\": {},\n \"prompt\": \"<string>\",\n \"model\": \"fast\",\n \"max_rows\": 200,\n \"images\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://catalogapi.rastro.ai/api/public/judge")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rows\": [\n {}\n ],\n \"catalog_id\": \"<string>\",\n \"schema\": {},\n \"prompt\": \"<string>\",\n \"model\": \"fast\",\n \"max_rows\": 200,\n \"images\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://catalogapi.rastro.ai/api/public/judge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rows\": [\n {}\n ],\n \"catalog_id\": \"<string>\",\n \"schema\": {},\n \"prompt\": \"<string>\",\n \"model\": \"fast\",\n \"max_rows\": 200,\n \"images\": {}\n}"
response = http.request(request)
puts response.read_body{
"judgments": [
{}
],
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
Request to judge catalog rows. Pulls schema + quality_prompt from catalog when catalog_id is provided.
For multimodal judging (e.g. verifying images match product data), pass images
as a dict mapping row index (string) to a list of image URLs. When images are
present the judge uses a vision model automatically.
Rows to evaluate
Catalog ID — fetches schema and quality_prompt automatically
Inline schema (only needed if no catalog_id)
Extra instructions (appended to catalog's quality_prompt if present)
Model preset: fast, medium, high
Max rows to judge per request
1 <= x <= 500Explicit image URLs per row index, e.g. {"0": ["https://..."]}
Show child attributes
Show child attributes